/* ************************************************************************** */
/*                                                                            */
/*                                                        :::      ::::::::   */
/*   ft_putnbr.c                                        :+:      :+:    :+:   */
/*                                                    +:+ +:+         +:+     */
/*   By: adjoly <marvin@42.fr>                      +#+  +:+       +#+        */
/*                                                +#+#+#+#+#+   +#+           */
/*   Created: 2023/07/13 13:51:06 by adjoly            #+#    #+#             */
/*   Updated: 2023/07/25 12:57:21 by adjoly           ###   ########.fr       */
/*                                                                            */
/* ************************************************************************** */
#include <unistd.h>

void	ft_putnbr(int nb)
{
	unsigned int	nbr;

	if (nb < 0)
	{
		write(1, "-", 1);
		nbr = -nb;
	}
	else
		nbr = nb;
	if (nbr < 10)
		write(1, &(char){nbr + 48}, 1);
	else
	{
		ft_putnbr(nbr / 10);
		write(1, &(char){nbr % 10 + 48}, 1);
	}
}
