/* ************************************************************************** */
/*                                                                            */
/*                                                        :::      ::::::::   */
/*   utils.h                                            :+:      :+:    :+:   */
/*                                                    +:+ +:+         +:+     */
/*   By: adjoly <adjoly@student.42.fr>              +#+  +:+       +#+        */
/*                                                +#+#+#+#+#+   +#+           */
/*   Created: 2023/07/31 23:33:05 by axdubois          #+#    #+#             */
/*   Updated: 2023/08/02 20:37:40 by adjoly           ###   ########.fr       */
/*                                                                            */
/* ************************************************************************** */

#ifndef UTILS_H
# define UTILS_H

# include <unistd.h>
# include <stdlib.h>
# include <fcntl.h>

typedef struct s_coords
{
	int	x;
	int	y;
}	t_coords;

int			ft_strlen(char *str);
void		ft_swap(int *a, int *b);
void		ft_sort_int_tab(int *tab, int size);
void		ft_free_coords(t_coords *coords);
void		ft_free_arr(char *arr);
void		ft_free_d_arr(char **arr);
int			ft_check_map(int file);
int			ft_write_error(int file);
int			ft_controller(int file);
t_coords	*ft_sort_x(t_coords *coords, int size);
t_coords	*ft_sort_y(t_coords *coords, int size);
t_coords	*ft_get_list_obj(int file, char o);
int			ft_get_nobj(int file, char o);

#endif
