/* ************************************************************************** */
/*                                                                            */
/*                                                        :::      ::::::::   */
/*   controller.c                                       :+:      :+:    :+:   */
/*                                                    +:+ +:+         +:+     */
/*   By: adjoly <adjoly@student.42.fr>              +#+  +:+       +#+        */
/*                                                +#+#+#+#+#+   +#+           */
/*   Created: 2023/08/02 14:57:07 by axdubois          #+#    #+#             */
/*   Updated: 2023/08/02 20:39:52 by adjoly           ###   ########.fr       */
/*                                                                            */
/* ************************************************************************** */

#include "../../includes/Display-h/write.h"
#include "../../includes/utils-h/utils.h"
#include "../../includes/algo-h/algo.h"
#include "../../includes/utils-h/charobj.h"
#include "../../includes/utils-h/fst_line.h"

int	ft_controller(int file)
{
	t_charobj	charobj;

	charobj = ft_get_charobj(ft_get_first_line(file), ft_len_line(file, 0));
	ft_print_result(ft_comb(ft_sort_x(ft_get_list_obj(file, charobj.o),
				ft_get_nobj(file, charobj.o)),
			ft_sort_y(ft_get_list_obj(file, charobj.o),
				ft_get_nobj(file, charobj.o))), charobj,
		ft_get_list_obj(file, charobj.o),
		file);
	return (0);
}
