/* ************************************************************************** */
/*                                                                            */
/*                                                        :::      ::::::::   */
/*   free.c                                             :+:      :+:    :+:   */
/*                                                    +:+ +:+         +:+     */
/*   By: adjoly <adjoly@student.42.fr>              +#+  +:+       +#+        */
/*                                                +#+#+#+#+#+   +#+           */
/*   Created: 2023/08/01 17:51:39 by adjoly            #+#    #+#             */
/*   Updated: 2023/08/01 18:16:58 by adjoly           ###   ########.fr       */
/*                                                                            */
/* ************************************************************************** */

#include "../../includes/Display-h/write.h"
#include "../../includes/utils-h/utils.h"

void	ft_free_coords(t_coords *coords)
{
	free(coords);
}

void	ft_free_arr(char *arr)
{
	free(arr);
}

void	ft_free_d_arr(char **arr)
{
	int	i;

	i = -1;
	while (arr[i])
	{
		free(arr[i]);
		i++;
	}
	free(*arr);
}
