# KeyZox71-42-2nd-piscine

/usr/bin/flatpak-spawn --host --env=TERM=xterm-256color norminette
"terminal.integrated.profiles.linux": {
	"bash": {
		"path": "/usr/bin/flatpak-spawn",
        "args": [
			"--host",
			"--env=TERM=xterm-256color",
			"zsh"
		],
  }
},

snippet C:
"Main Template": {
	"prefix": "main",
	"body": [
		"int	main(void)\n{\n	$1\n}\n"
	],
	"description": "Main Template"
},
"Main Template Argc Argv": {
	"prefix": "maincv",
	"body": [
		"int	main(int ac, char **av)\n{\n	$1\n}\n"
	],
	"description": "Main Template"
}

VSCODE=codium
plugins=(
	git
	vscode
	battery
	z
	zsh-autosuggestions
)

alias :
alias code="codium"
alias wclang="clang -Werror -Wall -Wextra"
alias wcc="cc -Werror -Wall -Wextra"
alias wgcc="gcc -Werror -Wall -Wextra"
alias zshc="vim ~/.zshrc"
alias norminette="/home/adjoly/.local/bin/norminette"
alias norm="norminette -R CheckForbiddenSourceHeader"
alias normh="norminette -R CheckDefine"

export MAIL="adjoly@student.42angouleme.fr"
export USER="adjoly"

vimrc :
set number
set autoindent
set mouse=a
set tabstop=4
