/* ************************************************************************** */
/*                                                                            */
/*                                                        :::      ::::::::   */
/*   is_args_valid.c                                    :+:      :+:    :+:   */
/*                                                    +:+ +:+         +:+     */
/*   By: psalame <marvin@42.fr>                     +#+  +:+       +#+        */
/*                                                +#+#+#+#+#+   +#+           */
/*   Created: 2023/07/22 13:31:00 by psalame           #+#    #+#             */
/*   Updated: 2023/07/23 11:19:18 by psalame          ###   ########.fr       */
/*                                                                            */
/* ************************************************************************** */

int	ft_strlen(char *str)
{
	int	i;

	i = 0;
	while (str[i])
		i++;
	return (i);
}

int	is_args_valid(int argc, char **argv)
{
	int	i;
	int	area_size;

	if (argc != 2)
		return (0);
	area_size = (ft_strlen(argv[1]) + 1) / 2 / 2 / 2;
	if (area_size < 2 || (ft_strlen(argv[1]) + 1) % area_size != 0)
		return (0);
	i = 0;
	while (argv[1][i] && area_size != 0)
	{
		if (i % 2 == 0)
		{
			if (argv[1][i] < '1' || argv[1][i] > '0' + area_size)
				area_size = 0;
		}
		else
			if (argv[1][i] != ' ')
				area_size = 0;
		i++;
	}
	return (area_size);
}
